# Class TTypeEntry

java.lang.Object
org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>
com.databricks.jdbc.model.client.thrift.generated.TTypeEntry

All Implemented Interfaces:
  `Serializable`, `Comparable<TTypeEntry>`, `org.apache.thrift.TBase<TTypeEntry,TTypeEntry._Fields>`, `org.apache.thrift.TSerializable`

@Generated(value="Autogenerated by Thrift Compiler (0.19.0)", date="2025-05-08") public class TTypeEntry extends org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TTypeEntry._Fields`
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Map<TTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData>`
`metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

## Constructor Summary

Constructors
Constructor
Description
`TTypeEntry()`
`TTypeEntry(TTypeEntry other)`
`TTypeEntry(TTypeEntry._Fields setField, Object value)`

## Method Summary

Modifier and Type
Method
Description
`static TTypeEntry`
`arrayEntry(TArrayTypeEntry value)`
`protected void`
`checkType(TTypeEntry._Fields setField, Object value)`
`int`
`compareTo(TTypeEntry other)`
`TTypeEntry`
`deepCopy()`
`protected TTypeEntry._Fields`
`enumForId(short id)`
`boolean`
`equals(TTypeEntry other)`
`boolean`
`equals(Object other)`
`TTypeEntry._Fields`
`fieldForId(int fieldId)`
`TArrayTypeEntry`
`getArrayEntry()`
`protected org.apache.thrift.protocol.TField`
`getFieldDesc(TTypeEntry._Fields setField)`
`TMapTypeEntry`
`getMapEntry()`
`TPrimitiveTypeEntry`
`getPrimitiveEntry()`
`protected org.apache.thrift.protocol.TStruct`
`getStructDesc()`
`TStructTypeEntry`
`getStructEntry()`
`TUnionTypeEntry`
`getUnionEntry()`
`TUserDefinedTypeEntry`
`getUserDefinedTypeEntry()`
`int`
`hashCode()`
`boolean`
`isSetArrayEntry()`
`boolean`
`isSetMapEntry()`
`boolean`
`isSetPrimitiveEntry()`
`boolean`
`isSetStructEntry()`
`boolean`
`isSetUnionEntry()`
`boolean`
`isSetUserDefinedTypeEntry()`
`static TTypeEntry`
`mapEntry(TMapTypeEntry value)`
`static TTypeEntry`
`primitiveEntry(TPrimitiveTypeEntry value)`
`void`
`setArrayEntry(TArrayTypeEntry value)`
`void`
`setMapEntry(TMapTypeEntry value)`
`void`
`setPrimitiveEntry(TPrimitiveTypeEntry value)`
`void`
`setStructEntry(TStructTypeEntry value)`
`void`
`setUnionEntry(TUnionTypeEntry value)`
`void`
`setUserDefinedTypeEntry(TUserDefinedTypeEntry value)`
`protected Object`
`standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void`
`standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TTypeEntry`
`structEntry(TStructTypeEntry value)`
`protected Object`
`tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void`
`tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot)`
`static TTypeEntry`
`unionEntry(TUnionTypeEntry value)`
`static TTypeEntry`
`userDefinedTypeEntry(TUserDefinedTypeEntry value)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### metaDataMap

public static final Map<TTypeEntry._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

## Constructor Details

### TTypeEntry

public TTypeEntry()

### TTypeEntry

public TTypeEntry(TTypeEntry._Fields setField, Object value)

### TTypeEntry

public TTypeEntry(TTypeEntry other)

## Method Details

### deepCopy

public TTypeEntry deepCopy()

### primitiveEntry

public static TTypeEntry primitiveEntry(TPrimitiveTypeEntry value)

### arrayEntry

public static TTypeEntry arrayEntry(TArrayTypeEntry value)

### mapEntry

public static TTypeEntry mapEntry(TMapTypeEntry value)

### structEntry

public static TTypeEntry structEntry(TStructTypeEntry value)

### unionEntry

public static TTypeEntry unionEntry(TUnionTypeEntry value)

### userDefinedTypeEntry

public static TTypeEntry userDefinedTypeEntry(TUserDefinedTypeEntry value)

### checkType

protected void checkType(TTypeEntry._Fields setField, Object value) throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`
Throws:
  `ClassCastException`

### standardSchemeReadValue

protected Object standardSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field) throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`
Throws:
  `org.apache.thrift.TException`

### standardSchemeWriteValue

protected void standardSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeReadValue

protected Object tupleSchemeReadValue(org.apache.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`
Throws:
  `org.apache.thrift.TException`

### tupleSchemeWriteValue

protected void tupleSchemeWriteValue(org.apache.thrift.protocol.TProtocol oprot) throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`
Throws:
  `org.apache.thrift.TException`

### getFieldDesc

protected org.apache.thrift.protocol.TField getFieldDesc(TTypeEntry._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`

### getStructDesc

protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`

### enumForId

protected TTypeEntry._Fields enumForId(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields>`

### fieldForId

public TTypeEntry._Fields fieldForId(int fieldId)

### getPrimitiveEntry

public TPrimitiveTypeEntry getPrimitiveEntry()

### setPrimitiveEntry

public void setPrimitiveEntry(TPrimitiveTypeEntry value)

### getArrayEntry

public TArrayTypeEntry getArrayEntry()

### setArrayEntry

public void setArrayEntry(TArrayTypeEntry value)

### getMapEntry

public TMapTypeEntry getMapEntry()

### setMapEntry

public void setMapEntry(TMapTypeEntry value)

### getStructEntry

public TStructTypeEntry getStructEntry()

### setStructEntry

public void setStructEntry(TStructTypeEntry value)

### getUnionEntry

public TUnionTypeEntry getUnionEntry()

### setUnionEntry

public void setUnionEntry(TUnionTypeEntry value)

### getUserDefinedTypeEntry

public TUserDefinedTypeEntry getUserDefinedTypeEntry()

### setUserDefinedTypeEntry

public void setUserDefinedTypeEntry(TUserDefinedTypeEntry value)

### isSetPrimitiveEntry

public boolean isSetPrimitiveEntry()

### isSetArrayEntry

public boolean isSetArrayEntry()

### isSetMapEntry

public boolean isSetMapEntry()

### isSetStructEntry

public boolean isSetStructEntry()

### isSetUnionEntry

public boolean isSetUnionEntry()

### isSetUserDefinedTypeEntry

public boolean isSetUserDefinedTypeEntry()

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### equals

public boolean equals(TTypeEntry other)

### compareTo

public int compareTo(TTypeEntry other)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`